%global hash 7f28286
%global date 20200725

# Disable unhelpful RPM test.
%global _binaries_in_noarch_packages_terminate_build 0

Name:           openbios
Version:        %{date}
Release:        %mkrel 2.git%{hash}
Epoch:          1
Summary:        OpenBIOS implementation of IEEE 1275-1994
Group:		Emulators

License:        GPLv2
URL:            http://www.openfirmware.info/OpenBIOS
BuildArch:      noarch
# (tv) autobuild fails with: "panic: segmentation violation at 0x953a362c"
ExcludeArch:	aarch64 %arm

# There are no upstream tarballs.  This tarball is prepared as follows:
#
# git clone https://github.com/openbios/openbios
# cd openbios
# hash=`git log -1 --format='%h'`
# date=`git log -1 --format='%cd' --date=short | tr -d -`
# git archive --prefix openbios-${date}-git${hash}/ ${hash} | xz -7e > ../openbios-${date}-git${hash}.tar.xz
Source0:        %{name}-%{date}-git%{hash}.tar.xz

# Note that these packages build 32 bit binaries with the -m32 flag.
BuildRequires:  gcc-powerpc64-linux-gnu
BuildRequires:  gcc-sparc64-linux-gnu

BuildRequires:  gcc
BuildRequires:  fcode-utils
BuildRequires:  xsltproc


%description
The OpenBIOS project provides you with most free and open source Open
Firmware implementations available. Here you find several
implementations of IEEE 1275-1994 (Referred to as Open Firmware)
compliant firmware. Among its features, Open Firmware provides an
instruction set independent device interface. This can be used to boot
the operating system from expansion cards without native
initialization code.

It is Open Firmware's goal to work on all common platforms, like x86,
AMD64, PowerPC, ARM and Mips. With its flexible and modular design,
Open Firmware targets servers, workstations and embedded systems,
where a sane and unified firmware is a crucial design goal and reduces
porting efforts noticably.

Open Firmware is found on many servers and workstations and there are
sever commercial implementations from SUN, Firmworks, CodeGen, Apple,
IBM and others.

In most cases, the Open Firmware implementations provided on this site
rely on an additional low-level firmware for hardware initialization,
such as coreboot or U-Boot.


%prep
%setup -q -n %{name}-%{date}-git%{hash}


%build
# Disable -Werror, cross-gcc-6.0.0-0.1.fc24 has some issues but they are fixed
# in gcc upstream
sed -i -e "s/-Werror/-Wno-error/" Makefile.target

/bin/sh config/scripts/switch-arch ppc
make build-verbose V=1 %{?_smp_mflags}
/bin/sh config/scripts/switch-arch sparc32
make build-verbose V=1 %{?_smp_mflags}
/bin/sh config/scripts/switch-arch sparc64
make build-verbose V=1 %{?_smp_mflags}


%install
qemudir=$RPM_BUILD_ROOT%{_datadir}/qemu
mkdir -p $qemudir
cp -a obj-ppc/openbios-qemu.elf $qemudir/openbios-ppc
cp -a obj-sparc32/openbios-builtin.elf $qemudir/openbios-sparc32
cp -a obj-sparc64/openbios-builtin.elf $qemudir/openbios-sparc64


%files
%doc COPYING
%doc README
%doc VERSION
%dir %{_datadir}/qemu
%{_datadir}/qemu/openbios-ppc
%{_datadir}/qemu/openbios-sparc32
%{_datadir}/qemu/openbios-sparc64




%changelog
* Fri Nov 27 2020 tv <tv> 1:20200725-2.git7f28286.mga8
+ Revision: 1649711
- ExcludeArch: aarch64 %%arm so that it got built on x86
  else autobuild fails with: "panic: segmentation violation at 0x953a362c"

* Tue Sep 08 2020 tv <tv> 1:20200725-1.git7f28286.mga8.mga8
+ Revision: 1623505
- Update to openbios 7f28286
- drop mga6 conflicts

* Wed Feb 12 2020 umeabot <umeabot> 1.1.svn1394-4.mga8
+ Revision: 1492676
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.svn1394-3.mga7
+ Revision: 1265383
- Mageia 7 Mass Rebuild

* Wed Apr 20 2016 blino <blino> 1.1.svn1394-2.mga6
+ Revision: 1003659
- conflict with qemu < 2.6.0-0.rc2.4.mga6 which provided openbios files

* Sat Apr 16 2016 tv <tv> 1.1.svn1394-1.mga6
+ Revision: 1003013
- imported package openbios

